NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShipDesign.ShipCutoutBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.ShipCutout builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.ShipCutoutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CreationMethod { Face2Lines, SpecifyCSYS }
 available methods used to place a cutout object More...
 

Properties

unsafe NXOpen.Expression AngularDim [get]
 Returns the angular dimension used to rotate the cutout's profile The angular dimension is only used for the Face2Lines placement method. More...
 
unsafe NXOpen.CoordinateSystem CoordSystem [get, set]
 Returns or sets the placement CSYS of the cutout. More...
 
unsafe bool KeepCoordSystem [get, set]
 Returns or sets the keep coordinate system A toggle used to remember the selected object on apply. More...
 
unsafe bool KeepReverseDirection1 [get, set]
 Returns or sets the toggle which allows re-use of the previous reverse direction toggle. More...
 
unsafe bool KeepReverseDirection2 [get, set]
 Returns or sets the toggle which allows re-use of the previous reverse direction toggle. More...
 
unsafe bool KeepSelectCSYSFace [get, set]
 Returns or sets the keep select csys face A toggle used to remember the selected object on apply. More...
 
unsafe bool KeepSelectLine1 [get, set]
 Returns or sets the keep select line1 A toggle used to remember the selected object on apply. More...
 
unsafe bool KeepSelectLine2 [get, set]
 Returns or sets the keep select line2 A toggle used to remember the selected object on apply. More...
 
unsafe bool KeepSelectTargetFace [get, set]
 Returns or sets the keep select target face A toggle used to remember the selected object on apply. More...
 
unsafe NXOpen.Expression LinearOffset1 [get]
 Returns the linear offset distance from line1. More...
 
unsafe NXOpen.Expression LinearOffset2 [get]
 Returns the linear offset distance from line2. More...
 
unsafe
NXOpen.Features.ShipDesign.ShipCutoutBuilder.CreationMethod 
PlacementType [get, set]
 Returns or sets the placement type. More...
 
unsafe bool ReverseDirection1 [get, set]
 Returns or sets the reverse direction 1. More...
 
unsafe bool ReverseDirection2 [get, set]
 Returns or sets the reverse direction 2. More...
 
unsafe NXOpen.SelectFace SelectCSYSFace [get]
 Returns the selection object for the target face. More...
 
unsafe NXOpen.SelectNXObject SelectLine1 [get]
 Returns the select Line1. More...
 
unsafe NXOpen.SelectNXObject SelectLine2 [get]
 Returns the select Line2 This line 2 is only used for the Face2Lines placement method. More...
 
unsafe NXOpen.SelectNXObject SelectTargetFace [get]
 Returns the select Target Face. More...
 
unsafe
NXOpen.SketchExpressionModifierBuilder 
SketchBlock [get]
 Returns the library sketch block that defines the Cutout outline More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.ShipCutout builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateShipCutoutBuilder

Default values.

Property Value

SketchBlock.Exp1.Value

0

SketchBlock.Exp10.Value

0

SketchBlock.Exp11.Value

0

SketchBlock.Exp12.Value

0

SketchBlock.Exp2.Value

0

SketchBlock.Exp3.Value

0

SketchBlock.Exp4.Value

0

SketchBlock.Exp5.Value

0

SketchBlock.Exp6.Value

0

SketchBlock.Exp7.Value

0

SketchBlock.Exp8.Value

0

SketchBlock.Exp9.Value

0

SketchBlock.Sketches

EndCut1

Created in NX7.5.0

Member Enumeration Documentation

available methods used to place a cutout object

Enumerator
Face2Lines 

1 face and 2 lines, edges, or datums are used to place this cutout

SpecifyCSYS 

a csys is used to place this cutout

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ShipCutoutBuilder.AngularDim
get

Returns the angular dimension used to rotate the cutout's profile The angular dimension is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.Features.ShipDesign.ShipCutoutBuilder.CoordSystem
getset

Returns or sets the placement CSYS of the cutout.

The coordinate system is only used for the SpecifyCSYS placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepCoordSystem
getset

Returns or sets the keep coordinate system A toggle used to remember the selected object on apply.

The keep coordinate system is only used for the SpecifyCSYS placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepReverseDirection1
getset

Returns or sets the toggle which allows re-use of the previous reverse direction toggle.

This is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepReverseDirection2
getset

Returns or sets the toggle which allows re-use of the previous reverse direction toggle.

This is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepSelectCSYSFace
getset

Returns or sets the keep select csys face A toggle used to remember the selected object on apply.

The keep select csys face is only used for the SpecifyCSYS placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepSelectLine1
getset

Returns or sets the keep select line1 A toggle used to remember the selected object on apply.

The keep select line1 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepSelectLine2
getset

Returns or sets the keep select line2 A toggle used to remember the selected object on apply.

The keep select line2 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.KeepSelectTargetFace
getset

Returns or sets the keep select target face A toggle used to remember the selected object on apply.

The keep select target face is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ShipCutoutBuilder.LinearOffset1
get

Returns the linear offset distance from line1.

The linear offset 1 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ShipCutoutBuilder.LinearOffset2
get

Returns the linear offset distance from line2.

The linear offset 2 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ShipCutoutBuilder.CreationMethod NXOpen.Features.ShipDesign.ShipCutoutBuilder.PlacementType
getset

Returns or sets the placement type.

The creation method used to place the cutout object.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.ReverseDirection1
getset

Returns or sets the reverse direction 1.

Allows you to reverse the direction used in the linear offset 1. The reverse direction 1 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ShipCutoutBuilder.ReverseDirection2
getset

Returns or sets the reverse direction 2.

Allows you to reverse the direction used in the linear offset 2. The reverse direction 2 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.SelectFace NXOpen.Features.ShipDesign.ShipCutoutBuilder.SelectCSYSFace
get

Returns the selection object for the target face.

This target CSYS face is only used for the SpecifyCSYS placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.ShipCutoutBuilder.SelectLine1
get

Returns the select Line1.

This line 1 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.ShipCutoutBuilder.SelectLine2
get

Returns the select Line2 This line 2 is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.ShipCutoutBuilder.SelectTargetFace
get

Returns the select Target Face.

This target face is only used for the Face2Lines placement method.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SketchExpressionModifierBuilder NXOpen.Features.ShipDesign.ShipCutoutBuilder.SketchBlock
get

Returns the library sketch block that defines the Cutout outline

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.